<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MmwDemo_DSS_DataPathCQConfig_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MmwDemo_DSS_DataPathCQConfig_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Millimeter Wave Demo Data Path CQ configuration.  
 <a href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#details">More...</a></p>

<p><code>#include &lt;/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr16xx/mmw/dss/dss_data_path.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9c63295dff14ef1a3f6ba2f1017dc34b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c63295dff14ef1a3f6ba2f1017dc34b"></a>
rlRxSatMonConf_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a9c63295dff14ef1a3f6ba2f1017dc34b">rxSatMonCfg</a></td></tr>
<tr class="memdesc:a9c63295dff14ef1a3f6ba2f1017dc34b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the CQ RX Saturation monitor configuration. <br /></td></tr>
<tr class="separator:a9c63295dff14ef1a3f6ba2f1017dc34b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ae1d67e0cf22906a820f9b7bdfa80d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ae1d67e0cf22906a820f9b7bdfa80d9"></a>
rlSigImgMonConf_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a9ae1d67e0cf22906a820f9b7bdfa80d9">sigImgMonCfg</a></td></tr>
<tr class="memdesc:a9ae1d67e0cf22906a820f9b7bdfa80d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the CQ Signal and image band monitor configuration. <br /></td></tr>
<tr class="separator:a9ae1d67e0cf22906a820f9b7bdfa80d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45acc4baf39b0340c3beedf548c19f3b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45acc4baf39b0340c3beedf548c19f3b"></a>
MmwDemo_AnaMonitorCfg *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a45acc4baf39b0340c3beedf548c19f3b">anaMonCfg</a></td></tr>
<tr class="memdesc:a45acc4baf39b0340c3beedf548c19f3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the CQ Signal and image band monitor configuration. <br /></td></tr>
<tr class="separator:a45acc4baf39b0340c3beedf548c19f3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a529bd103e2c9d3d7795d804519300846"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a529bd103e2c9d3d7795d804519300846"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a529bd103e2c9d3d7795d804519300846">sigImgMonAddr</a></td></tr>
<tr class="memdesc:a529bd103e2c9d3d7795d804519300846"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ signal &amp; image band monitor buffer physical address. <br /></td></tr>
<tr class="separator:a529bd103e2c9d3d7795d804519300846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac79423916d45e20d94fd4bb46702dfc5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac79423916d45e20d94fd4bb46702dfc5"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#ac79423916d45e20d94fd4bb46702dfc5">satMonAddr</a></td></tr>
<tr class="memdesc:ac79423916d45e20d94fd4bb46702dfc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX Saturation monitor buffer physical address. <br /></td></tr>
<tr class="separator:ac79423916d45e20d94fd4bb46702dfc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada5b8f5d39176a972d100d6ea9f14dbc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada5b8f5d39176a972d100d6ea9f14dbc"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#ada5b8f5d39176a972d100d6ea9f14dbc">sigImgMonDataSizePerChirp</a></td></tr>
<tr class="memdesc:ada5b8f5d39176a972d100d6ea9f14dbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ signal &amp; image band monitor data size per chirp. <br /></td></tr>
<tr class="separator:ada5b8f5d39176a972d100d6ea9f14dbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60d187348acc75c38f3836b842a6802a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60d187348acc75c38f3836b842a6802a"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a60d187348acc75c38f3836b842a6802a">satMonDataSizePerChirp</a></td></tr>
<tr class="memdesc:a60d187348acc75c38f3836b842a6802a"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX Saturation monitor data size per chirp. <br /></td></tr>
<tr class="separator:a60d187348acc75c38f3836b842a6802a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b75ce5320cef3c1ab5db6f0fc634084"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4b75ce5320cef3c1ab5db6f0fc634084"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a4b75ce5320cef3c1ab5db6f0fc634084">sigImgMonTotalSize</a></td></tr>
<tr class="memdesc:a4b75ce5320cef3c1ab5db6f0fc634084"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ signal &amp; image band monitor buffer size. <br /></td></tr>
<tr class="separator:a4b75ce5320cef3c1ab5db6f0fc634084"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a975fab9780605f11fbc2ecb51df73c1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a975fab9780605f11fbc2ecb51df73c1d"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a975fab9780605f11fbc2ecb51df73c1d">satMonTotalSize</a></td></tr>
<tr class="memdesc:a975fab9780605f11fbc2ecb51df73c1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX Saturation monitor buffer size. <br /></td></tr>
<tr class="separator:a975fab9780605f11fbc2ecb51df73c1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c8428836d86c645c34bfb018cd8c274"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c8428836d86c645c34bfb018cd8c274"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a9c8428836d86c645c34bfb018cd8c274">sigImgEdmaCnt</a></td></tr>
<tr class="memdesc:a9c8428836d86c645c34bfb018cd8c274"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX signal &amp; image band monitor EDMA complete counter. <br /></td></tr>
<tr class="separator:a9c8428836d86c645c34bfb018cd8c274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22b85d0caceb3a02f3d28688c2b785ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22b85d0caceb3a02f3d28688c2b785ec"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a22b85d0caceb3a02f3d28688c2b785ec">sigImgErrCnt</a></td></tr>
<tr class="memdesc:a22b85d0caceb3a02f3d28688c2b785ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX signal &amp; image band monitor EDMA error counter. <br /></td></tr>
<tr class="separator:a22b85d0caceb3a02f3d28688c2b785ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf656cb384decba8abcf4459a9c73efc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf656cb384decba8abcf4459a9c73efc"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#aaf656cb384decba8abcf4459a9c73efc">rxSatEdmaCnt</a></td></tr>
<tr class="memdesc:aaf656cb384decba8abcf4459a9c73efc"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX Saturation monitor EDMA complete counter. <br /></td></tr>
<tr class="separator:aaf656cb384decba8abcf4459a9c73efc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99242ff7d3ead7ea9b820bfab3f429f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a99242ff7d3ead7ea9b820bfab3f429f8"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a99242ff7d3ead7ea9b820bfab3f429f8">rxSatErrCnt</a></td></tr>
<tr class="memdesc:a99242ff7d3ead7ea9b820bfab3f429f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX Saturation monitor EDMA error counter. <br /></td></tr>
<tr class="separator:a99242ff7d3ead7ea9b820bfab3f429f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d7380d597f4c993bd3be25498f70899"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d7380d597f4c993bd3be25498f70899"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a2d7380d597f4c993bd3be25498f70899">rxSatData</a></td></tr>
<tr class="memdesc:a2d7380d597f4c993bd3be25498f70899"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ RX Saturation monitor data. <br /></td></tr>
<tr class="separator:a2d7380d597f4c993bd3be25498f70899"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74af2fcec61b975c11756d2789bcb1da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74af2fcec61b975c11756d2789bcb1da"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mmw_demo___d_s_s___data_path_c_q_config__t.html#a74af2fcec61b975c11756d2789bcb1da">sigImgData</a></td></tr>
<tr class="memdesc:a74af2fcec61b975c11756d2789bcb1da"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ signal &amp; image band monitor data. <br /></td></tr>
<tr class="separator:a74af2fcec61b975c11756d2789bcb1da"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Millimeter Wave Demo Data Path CQ configuration. </p>
<p>The structure is used to hold all the relevant information for the data path CQ. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr16xx/mmw/dss/<a class="el" href="dss__data__path_8h.html">dss_data_path.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
